import type { _NEDNSSettings } from "./NEDNSSettings.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _NEDNSOverHTTPSSettings extends _NEDNSSettings {
    static alloc(): _NEDNSOverHTTPSSettings;
    static new(): _NEDNSOverHTTPSSettings;
    init(): _NEDNSOverHTTPSSettings;
    /**
     * The URL to which to make DNS-over-HTTPS requests. The format should be an HTTPS URL with the path indicating the location of the DNS-over-HTTPS server, such as: "https://dnsserver.example.net/dns-query".
     */
    serverURL(): _NSURL;
    setServerURL$(value: _NSURL): void;
    /**
     * The optional certificate identity keychain reference to use as a TLS client certificate.
     */
    identityReference(): _NSData;
    setIdentityReference$(value: _NSData): void;
}
